1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

New v1.74 Mac Patch Available for Civ4 'Vanilla'

Discussion in 'Civ4 - Macintosh' started by AlanH, Oct 9, 2007.

  1. waltham845

    waltham845 lurked in the forum

    Joined:
    May 19, 2003
    Messages:
    76
    Location:
    New Mexico, Colorado
    Has anyone tried doing a full install of leopard. Have 10.4.10 on an external or internal secondary drive. change the startup disk from 10.5 to 10.4.10. Then install the 1.74 patch using 10.4.10. Once done switch back to 10.5 and see if it works? granted the install of 1.74 should work on 10.4.10 unless aspyr did something wrong. Since the patch should ask you where you want to install it, that should work as well. If anybody tries this let me know if it works. thanks
     
  2. MickyKitsu

    MickyKitsu Chieftain

    Joined:
    Oct 21, 2006
    Messages:
    42
    Heh, well, thats great news, because both the Warlords installer, and the Sims 2 patcher both do the same thing.
     
  3. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,325
    Gender:
    Male
    Location:
    England
    I'm sure that would work OK, if you still have Tiger around. I did a clean Leopard installation on a second drive and migrated all my data from the Tiger disk into it, including my Civ4 installations, and that works fine. I still have the Tiger disk to boot into if I find any insurmountable problems in Leopard.
     
  4. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,325
    Gender:
    Male
    Location:
    England
    Here's an update from Aspyr. Bottom line is - download patch using Firefox, not Safari (No, me neither!), and copy the installer to your desktop from the mounted disk image before running it. Don't run it directly from the disk image.

     
  5. waltham845

    waltham845 lurked in the forum

    Joined:
    May 19, 2003
    Messages:
    76
    Location:
    New Mexico, Colorado
    I haven't bought leopard yet, waiting for all the bugs to shake out. I have always found migration better than updating. As they say murphy's law always applies. I will definitely keep 10.4 around just for problems. Interesting to note that Aspyr may have a workaround.
     
  6. Bazzalisk

    Bazzalisk Chieftain

    Joined:
    Jul 30, 2006
    Messages:
    94
    Location:
    London, UK, EU
    My guess is that the Firefox rather than Safari thing is because the default behaviour of Safari is to mount and run dmgs, whereas the default behaviour for Firefox isn't.
     
  7. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,325
    Gender:
    Male
    Location:
    England
    That shouldn't be a problem, as the workround happens *after* the dmg is mounted.
     
  8. s.bernbaum

    s.bernbaum Mostly lurking

    Joined:
    Dec 2, 2006
    Messages:
    2,780
    Location:
    The wilds of Montana
    I installed 1.74 patch yesterday, after creating a copy of the 1.61 version just in case. I am now playing my first 1.74 version game. So far, I am quite unimpressed. The play is much slower, including lengthy pauses for no apparent reason... and this is in the BC era. The colors on the minimap are all messed up, as well. I'll play the game through and see what I think at the end. However, based on play so far, I am going to stick with the 1.61 version unless things get much better as I continue the game, since I only play SP and don't need to concern myself about multiplayer compatibility.
     
  9. s.bernbaum

    s.bernbaum Mostly lurking

    Joined:
    Dec 2, 2006
    Messages:
    2,780
    Location:
    The wilds of Montana
    Yesterday I started up the game ereferred to in my previous post. Now the play is smooth and the minimap looks fine. Something must have gotten messed up in the first start of my 1.74 bad enough to mess things up but not bad enough to crash the program. If it recurs I will report back. BTW the Mac is a G4 Mac Mini with 1 GB RAM.
     
  10. Macintosh

    Macintosh Warlord

    Joined:
    Apr 26, 2004
    Messages:
    138
    Location:
    near Mannheim in Germany
    any news about this topic ?
     
  11. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,325
    Gender:
    Male
    Location:
    England
    I've heard nothing. Aspyr don't seem to be prepared to talk to me, so maybe someone else will have more luck. Try posting in Inside Mac Games. Since Brad left, I think they read that forum, not this one.
     
  12. peter grimes

    peter grimes ... Retired Moderator

    Joined:
    Jul 18, 2005
    Messages:
    13,314
    Location:
    Queens, New York
    Well, I sure screwed something up. :yup:

    I am involved with a couple of PBEM games that are 1.61. I patched to 1.74 last night, after I renamed MacintoshHD/CivilizationIV & Applications/CivilizationIV and ~Documents/CivilizationIV. I didn't actually make a duplicate of the folders first :wallbash:, so the installer found and patched the original 1.61.

    So now I need to reinstall the 1.61 version from my DVD - but I hate to say, I don't know how to go about this. Do I simply drag the CivilizationIV folder from the DVD onto the MacintoshHD? There is no installer icon or diskimage on the DVD :hmm:

    This is the last time I try something like this after getting cozy with the vino :old:
     
  13. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,325
    Gender:
    Male
    Location:
    England
    Yup. Drag the folder from the DVD to /Applications. You may want to apply the last pre-1.74 patch as well.
     
  14. peter grimes

    peter grimes ... Retired Moderator

    Joined:
    Jul 18, 2005
    Messages:
    13,314
    Location:
    Queens, New York
    Thanks Alan - That worked more or less perfectly. I had to do a little shuffling to get the saves into the proper PBEM folder, but I figured it out.

    So I now have a dual install: Vanilla 1.61 and 1.74. I've also downloaded the HOF 1.74 mod, but haven't installed and tested that yet. If it's anything like the previous ones, I am confident I won't have any problems with it.

    Thank you again, AlanH :hatsoff:
     
  15. ezra12

    ezra12 Chieftain

    Joined:
    Mar 31, 2008
    Messages:
    49
    I clicked on that link but it said this:

    "Forbidden

    You don't have permission to access /files/aspyr/patches/Civ4_1.74.dmg on this server.
    __________________________________________________________________
    Apache/2.2.3 (CentOS) Server at downloads1.macgamefiles.com Port 80"


    What should I do?
     
  16. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,325
    Gender:
    Male
    Location:
    England
  17. Snowbeavers

    Snowbeavers Chieftain

    Joined:
    Dec 27, 2008
    Messages:
    19
    Thanks..was about to do all this manually using pacifist but lucky I read the next page and your post. Works great now!
     
  18. lifecry

    lifecry Warlord

    Joined:
    Oct 24, 2007
    Messages:
    132
    i've gone ahead and installed the patch and it went smoothly enough..so why when i do info-click on Civ4 does it still show up as 1.64?
     
  19. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,325
    Gender:
    Male
    Location:
    England
    Dunno. When I first did the upgrade I had the same problem, but later it gave the "right" answer. I don't know whether I rebooted in between.
     
  20. Snowbeavers

    Snowbeavers Chieftain

    Joined:
    Dec 27, 2008
    Messages:
    19
    I have installed the new patch but seems to crash on average 5 times per game. Not sure why. Any suggestions?
     

Share This Page